<?xml version="1.0" encoding="UTF-8"?>
<packages:packages xmlns:packages="http://www.wpkg.org/packages">
  <package id="matlab" name="Matlab" revision="%version%.1" priority="0" reboot="false">
    <variable name="version" value="24.1" />
    <!-- to update to a new Matlab release,
         a) bump "version" to match the version no. of the current matlab release
         b) update the package-id to match the new <package>. N.B. needs to be a hardcoded string rather than defined as a variable

         Note that in the unusual event that we need to bump the revision of an existing Matlab package,
         you don't need to make any changes here; the depended-upon package will update as normal -->

    <depends package-id="matlab2024a" />

    <check type='registry' condition='equals' path='HKLM\software\ucam_wpkg.cam.ac.uk\WPKG\matlab' value="%version%"/>

    <install cmd='reg add HKLM\software\ucam_wpkg.cam.ac.uk\WPKG /t reg_sz /v matlab /d %version% /f' />

    <upgrade include='remove' />
    <upgrade include='install' />

    <remove cmd='reg delete HKLM\software\ucam_wpkg.cam.ac.uk\WPKG /v matlab /f'/>

  </package>
</packages:packages>
